﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;

namespace WpfWin7TaskBar_ThumbnailButtons
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OpenMediaSource(object sender, RoutedEventArgs e)
        {
            OpenFileDialog dialog = new OpenFileDialog();
            dialog.Title = "Select media file";
            dialog.Filter = "Avi & Wmv|*.avi;*.wmv";

            if ((bool)dialog.ShowDialog())
            {
                _mediaPlayer.Source = new Uri(dialog.FileName, UriKind.RelativeOrAbsolute);
                _mediaPlayer.Play();
            }
        }

        private void PlayCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            _mediaPlayer.Play();
        }

        private void StopCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            _mediaPlayer.Stop();
        }

        private void PauseCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            _mediaPlayer.Pause();
        }

        private void Command_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = _mediaPlayer.Source != null;
        }
    }
}
